Bug 496510 - Error with rpm-warm-cache.py and no commands
Error with rpm-warm-cache.py and no commands
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 15:34 EDT by Itamar Reis Peixoto
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 10:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-04-19 15:34:07 EDT
Description of problem:

Component: system-config-kickstart
Summary: TB05ec0f49 rpm-warm-cache.py:32:postreposetup_hook:TypeError: 'NoneType' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/bin/system-config-kickstart", line 90, in <module>
    kickstartGui.kickstartGui(file)
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 170, in __init__
    self.packages_class = packages.Packages(xml, self.ksHandler)
  File "/usr/share/system-config-kickstart/packages.py", line 234, in __init__
    self.y = sckYumBase(callback = d)
  File "/usr/share/system-config-kickstart/packages.py", line 144, in __init__
    self.doTsSetup()
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 86, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 101, in _getTs
    self._getTsInfo(remove_only)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 112, in _getTsInfo
    pkgSack = self.pkgSack
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 646, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 488, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 232, in populateSack
    self.doSetup()
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 79, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/rpm-warm-cache.py", line 32, in postreposetup_hook
    cmd = commands[0]
TypeError: 'NoneType' object is unsubscriptable

Local variables in innermost frame:
conduit: <yum.plugins.PostRepoSetupPluginConduit instance at 0x1abfef0>
commands: None
opts: None




Version-Release number of selected component (if applicable):
system-config-kickstart-2.7.22-1.fc11.noarch
Comment 1 James Antill 2009-04-20 10:20:17 EDT
 What version of yum-utils is this? I thought this was fixed in rawhide.
Comment 2 Tim Lauridsen 2009-05-06 13:56:17 EDT
it is fixed in upstream but not released yet. AFAIK

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=0ed7bc9fe6aec6d7978e295506968809580dfe3d

Note You need to log in before you can comment on or make changes to this bug.